Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis.ja.tokenattributes
Interface ReadingAttribute

All Superinterfaces:
  Attribute

All Known Implementing Classes:
  ReadingAttributeImpl

    public interface ReadingAttribute

extends Attribute

Attribute for Kuromoji reading data

Note: in some cases this value may not be applicable, and will be null.

Method Summary
`String` | `getPronunciation()`
`String` | `getReading()`
`void` | `setToken(Token token)`

Method Detail

### getReading

    String getReading()

### getPronunciation

    String getPronunciation()

### setToken

    void setToken(Token token)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD